from django.db import models


class Dragon(models.Model):
    class Meta:
        unique_together = ('origin', 'name', 'color', 'shirt', 'hat', 'decor')

    name = models.CharField(max_length=20)
    origin = models.CharField(max_length=20)

    color = models.IntegerField(default=0)
    hat = models.IntegerField(default=-1)
    shirt = models.IntegerField(default=-1)
    decor = models.IntegerField(default=-1)

    def __str__(self):
        return f'{self.name}: {self.origin}, {self.color}, {self.hat}, {self.shirt}, {self.decor}'
